//--- OBJECT WRITE BEGIN ---
new GuiControl(EditSignatureDlg) {
	profile = "DlgBackProfile";
	horizSizing = "right";
	vertSizing = "bottom";
	position = "0 0";
	extent = "640 480";
	minExtent = "8 8";
	visible = "1";
	helpTag = "0";
		key = "76";

	new ShellPaneCtrl() {
		profile = "ShellDlgPaneProfile";
		horizSizing = "center";
		vertSizing = "center";
		position = "70 36";
		extent = "500 300";
		minExtent = "48 92";
		visible = "1";
		helpTag = "0";
		text = "EDIT SIGNATURE";
		maxLength = "255";
		noTitleBar = "0";

		new ShellScrollCtrl() {
			profile = "NewScrollCtrlProfile";
			horizSizing = "right";
			vertSizing = "height";
			position = "27 27";
			extent = "447 217";
			minExtent = "24 52";
			visible = "1";
			helpTag = "0";
			willFirstRespond = "1";
			hScrollBar = "alwaysOff";
			vScrollBar = "alwaysOn";
			constantThumbHeight = "0";
			defaultLineHeight = "15";
			childMargin = "3 3";
			fieldBase = "gui/shll_field";

			new GuiScrollContentCtrl() {
				profile = "GuiDefaultProfile";
				horizSizing = "width";
				vertSizing = "height";
				position = "7 7";
				extent = "417 208";
				minExtent = "8 8";
				visible = "1";
				helpTag = "0";

				new GuiMLTextEditCtrl(ES_SignatureTextBox) {
					profile = "ShellMessageTextProfile";
					horizSizing = "right";
					vertSizing = "height";
					position = "0 0";
					extent = "417 215";
					minExtent = "8 8";
					visible = "1";
					helpTag = "0";
					lineSpacing = "2";
					allowColorChars = "0";
					maxChars = "3600";
				};
			};
		};
		new ShellBitmapButton(ES_CancelButton) {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "top";
			position = "81 245";
			extent = "128 38";
			minExtent = "32 38";
			visible = "1";
			command = "Canvas.PopDialog( EditSignatureDlg );";
			accelerator = "escape";
			helpTag = "0";
			text = "CANCEL";
			simpleStyle = "0";
		};
		new ShellBitmapButton(ES_AcceptButton) {
			profile = "ShellButtonProfile";
			horizSizing = "right";
			vertSizing = "top";
			position = "291 245";
			extent = "128 38";
			minExtent = "32 38";
			visible = "1";
			command = "ES_AcceptButton.Click();";
			helpTag = "0";
			text = "ACCEPT";
			simpleStyle = "0";
		};
		new ShellBitmapButton(ES_HelpButton) {
			profile = "ShellButtonProfile";
			horizSizing = "left";
			vertSizing = "bottom";
			position = "448 245";
			extent = "32 32";
			minExtent = "32 32";
			visible = "1";
			command = "ES_HelpButton.Click();";
			helpTag = "0";
			text = "?";
			simpleStyle = "0";
		};
	};
};
//--- OBJECT WRITE END ---
